Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Interface RelationType

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  RelationTypeSupport

public interface RelationType
extends java.io.Serializable

The RelationType interface has to be implemented by any class expected to represent a relation type.

Method Summary
`java.lang.String` | `getRelationTypeName()` Returns the relation type name.
`RoleInfo` | `getRoleInfo(java.lang.String theRoleInfoName)` Returns the role info (RoleInfo object) for the given role info name (null if not found).
`java.util.List` | `getRoleInfos()` Returns the list of role definitions (ArrayList of RoleInfo objects).

Method Detail

### getRelationTypeName

    public java.lang.String getRelationTypeName()

  Returns the relation type name.

  Returns:
    the relation type name.

### getRoleInfos

    public java.util.List getRoleInfos()

  Returns the list of role definitions (ArrayList of RoleInfo objects).

  Returns:
    an `ArrayList` of `RoleInfo`.

### getRoleInfo

    public RoleInfo getRoleInfo(java.lang.String theRoleInfoName)
                         throws java.lang.IllegalArgumentException,
                                RoleInfoNotFoundException

  Returns the role info (RoleInfo object) for the given role info name (null if not found).

  Parameters:
    `theRoleInfoName` - role info name
  Returns:
    RoleInfo object providing role definition does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if null parameter
    `RoleInfoNotFoundException` - if no role info with that name in relation type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.